> For the complete documentation index, see [llms.txt](https://docs.caf.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.caf.io/caf-sdk/caf-sdk-pt-br/android/standalone-modules/document-detector/builder/steps.md).

# Etapas de detecção

Para criar um fluxo de captura, você precisará criar um array de **`DocumentDetectorStep`**, em que cada elemento será uma etapa de captura. Para construir cada `DocumentDetectorStep` objeto, você pode inserir os seguintes elementos:

```kotlin
val detectorStep = DocumentDetectorStep(Document.RG_FRONT)
```

| Parâmetro                               | Descrição                                                                                                                                                                                            | Padrão                                     | Obrigatório |
| --------------------------------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------------------ | :---------: |
| `document: Document`                    | Especifica o documento a ser capturado na etapa. Confira os tipos compatíveis [aqui](https://github.com/combateafraude/public-docs/blob/docs-sdks/android/document-detector/supported_documents.md). | -                                          |      ✅      |
| `setStepLabel(stepLabel: Int)`          | Define o texto exibido na parte inferior do layout.                                                                                                                                                  | Tem como padrão o padrão para `Documento`. |      ❌      |
| `setIllustration(illustration: Int)`    | Define a ilustração exibida no pop-up antes da captura.                                                                                                                                              | Tem como padrão o padrão para `Documento`. |      ❌      |
| `showStepLabel(showStepLabel: Boolean)` | Alterna a visibilidade do texto na parte superior do layout.                                                                                                                                         | `true`                                     |      ❌      |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.caf.io/caf-sdk/caf-sdk-pt-br/android/standalone-modules/document-detector/builder/steps.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
